Update Webhook
Update an existing webhook configuration
PATCH
/webhooks/{webhook_id}Requires
Bearer authenticationUpdate the configuration for an existing webhook.
Path Parameters
webhook_idstringrequiredThe unique identifier of the webhook.
Body Parameters
urlstringNew URL for webhook payloads.
eventsarrayNew array of event types.
activebooleanEnable or disable the webhook.
PATCH
/webhooks/{webhook_id}curl -X PATCH "https://api.vastal.agency/v1/webhooks/whk_abc123" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "active": false }'
const response = await fetch( 'https://api.vastal.agency/v1/webhooks/whk_abc123', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_API_KEY', 'Content-Type': 'application/json' }, body: JSON.stringify({ active: false }) } );
200Success
{ "success": true, "data": { "id": "whk_abc123", "url": "https://example.com/webhook", "events": ["row.created", "row.updated"], "active": false, "updated_at": "2024-01-21T09:00:00Z" } }